\docType{object}
\alias{openDb}
\alias{openDb,aRTconn-method}
\title{Open an existent database}
\name{aRTconn-openDb}
\description{Open a database connection from a virtual connection.}

\usage{
\S4method{openDb}{aRTconn}(con, dbname, update=FALSE)
}

\arguments{
  \item{con}{Object of class \code{aRTconn}.}
  \item{dbname}{Database name.}
  \item{update}{When the database version is older than the 
actual TerraLib version, set it \code{TRUE} to update to the newest version.
You cannot connect to a database older than the actual version without updating it.}
}


\examples{
\dontrun{
con=openConn()
db=openDb(con, "database")
}}


\author{Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
  \code{\link{createDb}} to create new databases.
  \code{aRTconn-class} to show the description of this class.
}

% vim: syntax=tex
